Bug 504736 - Review Request: perl-File-ChangeNotify - Watch for changes to files, cross-platform style
Review Request: perl-File-ChangeNotify - Watch for changes to files, cross-pl...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/File-Chan...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 23:35 EDT by Chris Weyl
Modified: 2010-08-25 13:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 02:11:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-06-08 23:35:52 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-File-ChangeNotify.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-File-ChangeNotify-0.06-1.fc10.src.rpm

Description:
Watch for changes to files, easily, cleanly, and across different platforms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1400604

Additional Comment:

This is a new BR of the latest GA Catalyst::Devel.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-06-08 23:49:27 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1400604
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
5ba72b2232d5e3a94ca37e0de636be3238441967  File-ChangeNotify-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=31,  1 wallclock secs ( 0.03 usr  0.01 sys +  0.32 cusr  0.03 csys =  0.39 CPU)
+ Package  perl-File-ChangeNotify-0.06-1.fc12.noarch =>
Provides: perl(File::ChangeNotify) = 0.06 perl(File::ChangeNotify::Event) perl(File::ChangeNotify::Watcher) perl(File::ChangeNotify::Watcher::Default) perl(File::ChangeNotify::Watcher::Inotify)
Requires: perl(Carp) perl(Class::MOP) perl(File::Find) perl(File::Spec) perl(Linux::Inotify2) perl(Module::Pluggable::Object) perl(Moose) perl(Moose::Util::TypeConstraints) perl(MooseX::Params::Validate) perl(MooseX::SemiAffordanceAccessor) perl(Time::HiRes) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Chris Weyl 2009-06-09 00:30:31 EDT
Should we set fedora-review+ ? :)
Comment 3 Parag AN(पराग) 2009-06-09 01:06:02 EDT
oops I set fedora-review?

Thanks for reminding me.
Comment 4 Chris Weyl 2009-06-09 01:08:38 EDT
New Package CVS Request
=======================
Package Name: perl-File-ChangeNotify
Short Description: Watch for changes to files, cross-platform style
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-06-10 00:45:33 EDT
cvs done.
Comment 6 Chris Weyl 2009-06-10 02:11:55 EDT
Thanks for the review! :-)
Comment 7 Iain Arnell 2010-08-25 01:43:51 EDT
Package Change Request
======================
Package Name: perl-File-ChangeNotify
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 8 Kevin Fenzi 2010-08-25 13:26:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.